From: "Thomas Beierlein" <tomjbe@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-backup/bacula/files/, app-backup/bacula/
Date: Sun, 30 Apr 2023 11:52:43 +0000 (UTC) [thread overview]
Message-ID: <1682855544.5a9cfdbcfc7b6ec8128ba6a561d7c164d4f4217f.tomjbe@gentoo> (raw)
commit: 5a9cfdbcfc7b6ec8128ba6a561d7c164d4f4217f
Author: Thomas Beierlein <tomjbe <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 30 11:48:39 2023 +0000
Commit: Thomas Beierlein <tomjbe <AT> gentoo <DOT> org>
CommitDate: Sun Apr 30 11:52:24 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5a9cfdbc
app-backup/bacula: Fix implicit function declaration
- supress false positive in bacula-13.0.2 and bacula-11.0.6
- additional fix real problem in bacula-11.0.2
Closes: https://bugs.gentoo.org/900663
Signed-off-by: Thomas Beierlein <tomjbe <AT> gentoo.org>
...acula-13.0.2.ebuild => bacula-11.0.6-r3.ebuild} | 16 +++++++++----
...acula-13.0.2.ebuild => bacula-13.0.2-r1.ebuild} | 7 ++++++
.../bacula/files/bacula-11.0.2-fix-config.patch | 27 ++++++++++++++++++++++
3 files changed, 46 insertions(+), 4 deletions(-)
diff --git a/app-backup/bacula/bacula-13.0.2.ebuild b/app-backup/bacula/bacula-11.0.6-r3.ebuild
similarity index 97%
copy from app-backup/bacula/bacula-13.0.2.ebuild
copy to app-backup/bacula/bacula-11.0.6-r3.ebuild
index ad270ef3da0a..7a092c2c85a6 100644
--- a/app-backup/bacula/bacula-13.0.2.ebuild
+++ b/app-backup/bacula/bacula-11.0.6-r3.ebuild
@@ -1,7 +1,7 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=8
+EAPI=7
inherit desktop libtool qmake-utils systemd
@@ -72,6 +72,13 @@ REQUIRED_USE="
static? ( bacula-clientonly )
"
+# suppress warning wrt 'implicit function declaration' in config logs
+# bug 900663
+QA_CONFIG_IMPL_DECL_SKIP=(
+ makedev # designed to check availability in
+ # used header file
+)
+
S=${WORKDIR}/${MY_P}
pkg_setup() {
@@ -130,6 +137,9 @@ src_prepare() {
sed -i -e "s/strip /# strip /" src/filed/Makefile.in || die
sed -i -e "s/strip /# strip /" src/console/Makefile.in || die
+ # fix 'implicit function declaration' bug 900663
+ eapply -p0 "${FILESDIR}/${PN}-11.0.2-fix-config.patch"
+
eapply_user
# Fix systemd unit files:
@@ -156,8 +166,7 @@ src_prepare() {
sed -i -e 's/ manpages//' Makefile.in || die
# correct installation for plugins to mode 0755 (bug #725946)
- sed -i -e "s/(INSTALL_PROGRAM) /(INSTALL_LIB) /" src/plugins/fd/Makefile ||die
- sed -i -e "s/(INSTALL_PROGRAM) /(INSTALL_LIB) /" src/plugins/fd/docker/Makefile ||die
+ sed -i -e "s/(INSTALL_PROGRAM) /(INSTALL_LIB) /" src/plugins/fd/Makefile.in ||die
# fix bundled libtool (bug 466696)
# But first move directory with M4 macros out of the way.
@@ -232,7 +241,6 @@ src_compile() {
src_install() {
emake DESTDIR="${D}" install
doicon scripts/bacula.png
- keepdir /var/lib/bacula/tmp
# remove not needed .la files #840957
find "${ED}" -name '*.la' -delete || die
diff --git a/app-backup/bacula/bacula-13.0.2.ebuild b/app-backup/bacula/bacula-13.0.2-r1.ebuild
similarity index 98%
rename from app-backup/bacula/bacula-13.0.2.ebuild
rename to app-backup/bacula/bacula-13.0.2-r1.ebuild
index ad270ef3da0a..31f0e4ddc989 100644
--- a/app-backup/bacula/bacula-13.0.2.ebuild
+++ b/app-backup/bacula/bacula-13.0.2-r1.ebuild
@@ -72,6 +72,13 @@ REQUIRED_USE="
static? ( bacula-clientonly )
"
+# suppress warning wrt 'implicit function declaration' in config logs
+# bug 900663
+QA_CONFIG_IMPL_DECL_SKIP=(
+ makedev # designed to check availability in
+ # used header file
+)
+
S=${WORKDIR}/${MY_P}
pkg_setup() {
diff --git a/app-backup/bacula/files/bacula-11.0.2-fix-config.patch b/app-backup/bacula/files/bacula-11.0.2-fix-config.patch
new file mode 100644
index 000000000000..67b73528b52d
--- /dev/null
+++ b/app-backup/bacula/files/bacula-11.0.2-fix-config.patch
@@ -0,0 +1,27 @@
+--- configure.orig 2023-04-30 13:40:55.498111399 +0200
++++ configure 2023-04-30 13:41:19.426932141 +0200
+@@ -29413,7 +29413,7 @@
+ #include <sys/types.h>
+ #include <sys/socket.h>
+
+- void main(void) {
++ int main(void) {
+ struct addrinfo hints, *ai;
+ int error;
+
+@@ -29422,12 +29422,12 @@
+ hints.ai_socktype = SOCK_STREAM;
+ error = getaddrinfo("127.0.0.1", NULL, &hints, &ai);
+ if (error) {
+- exit(1);
++ return(1);
+ }
+ if (ai->ai_addr->sa_family != AF_INET) {
+- exit(1);
++ return(1);
+ }
+- exit(0);
++ return(0);
+ }
+
+ _ACEOF
next reply other threads:[~2023-04-30 11:52 UTC|newest]
Thread overview: 11+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-04-30 11:52 Thomas Beierlein [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-10-20 11:15 [gentoo-commits] repo/gentoo:master commit in: app-backup/bacula/files/, app-backup/bacula/ Thomas Beierlein
2024-05-08 13:24 Thomas Beierlein
2024-01-13 13:31 Thomas Beierlein
2023-11-16 15:39 Thomas Beierlein
2023-11-14 16:29 Thomas Beierlein
2023-02-24 19:20 Thomas Beierlein
2022-06-03 7:58 Thomas Beierlein
2022-05-17 6:10 Sam James
2021-05-18 16:40 Thomas Beierlein
2016-12-24 13:06 Thomas Beierlein
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1682855544.5a9cfdbcfc7b6ec8128ba6a561d7c164d4f4217f.tomjbe@gentoo \
--to=tomjbe@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox